Zeitgeist.Monitor – zeitgeist-2.0 Reference Manual

# Monitor

## Object Hierarchy:

## Description:

public class Monitor : `Object`, RemoteMonitor

Listens for updates to the Zeitgeist event log

A #Monitor listens for updates to the Zeitgeist event log matching a given set of templates and with timestamps in some predefined time range.

A monitor must be installed into the running Zeitgeist daemon by calling zeitgeist_log_install_monitor(). The monitor will not emit any of the ::events-added or ::events-deleted signals before this.

Namespace: Zeitgeist
Package: zeitgeist-2.0

## Content:

### Properties:

- public TimeRange time_range { construct set; get; }
- public `GenericArray`<Event> event_templates { construct set; get; }

### Creation methods:

- public Monitor (TimeRange time_range, owned `GenericArray`<Event> event_templates)
  zeitgeist_monitor_new

### Methods:

- public `GenericArray`<Event> get_templates ()
- public `ObjectPath` get_path ()
- public async void notify_insert (`Variant` time_range, `Variant` events)
- public async void notify_delete (`Variant` time_range, `uint32`[] event_ids)

### Signals:

- public signal void events_inserted (TimeRange time_range, ResultSet events)
  ZeitgeistMonitor::events-inserted:
- public signal void events_deleted (TimeRange time_range, `uint32`[] event_ids)
  ZeitgeistMonitor::events-deleted:

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count

All known members inherited from interface Zeitgeist.RemoteMonitor

- notify_insert

- notify_delete